Bug 1547233 - FFU: Enable tripleo-repos ffu step fails while running "cmd": ["tripleo-repos", "-", "b", "o", "c", "a", "t", "a", "c", "u", "r", "r", "e", "n", "t"
Summary: FFU: Enable tripleo-repos ffu step fails while running "cmd": ["tripleo-repos...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Emilien Macchi
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-20 19:41 UTC by Marius Cornea
Modified: 2018-06-27 13:46 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180304031149.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:45:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1750643 None None None 2018-02-20 19:41:02 UTC
OpenStack gerrit 546568 None MERGED FFU: repo section string manipulation error. 2020-06-19 15:34:59 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:46:11 UTC

Description Marius Cornea 2018-02-20 19:41:03 UTC
Description of problem:

Running ansible-playbook --module-path /usr/share/ansible-modules/ -i /usr/bin/tripleo-ansible-inventory -b tripleo-aARWBa-config/fast_forward_upgrade_playbook.yaml

fails with:

TASK [Enable tripleo-repos] ************************************************************************************************************************************************************************************
fatal: [192.168.24.7]: FAILED! => {"changed": true, "cmd": ["tripleo-repos", "-", "b", "o", "c", "a", "t", "a", "c", "u", "r", "r", "e", "n", "t"], "delta": "0:00:00.086074", "end": "2018-02-20 19:32:53.995756", "msg": "non-zero return code", "rc": 2, "start": "2018-02-20 19:32:53.909682", "stderr": "usage: tripleo-repos [-h] [-d DISTRO] [-b BRANCH] [-o OUTPUT_PATH]\n [--centos-mirror CENTOS_MIRROR] [--rdo-mirror RDO_MIRROR]\n REPO [REPO ...]\ntripleo-repos: error: argument REPO: invalid choice: '-' (choose from 'current', 'deps', 'current-tripleo', 'current-tripleo-dev', 'ceph', 'opstools')", "stderr_lines": ["usage: tripleo-repos [-h] [-d DISTRO] [-b BRANCH] [-o OUTPUT_PATH]", " [--centos-mirror CENTOS_MIRROR] [--rdo-mirror RDO_MIRROR]", " REPO [REPO ...]", "tripleo-repos: error: argument REPO: invalid choice: '-' (choose from 'current', 'deps', 'current-tripleo', 'current-tripleo-dev', 'ceph', 'opstools')"], "stdout": "", "stdout_lines": []}
 to retry, use: --limit @/home/stack/tripleo-aARWBa-config/fast_forward_upgrade_playbook.retry

PLAY RECAP *****************************************************************************************************************************************************************************************************
192.168.24.16 : ok=43 changed=24 unreachable=0 failed=1
192.168.24.7 : ok=26 changed=11 unreachable=0 failed=1

Comment 10 errata-xmlrpc 2018-06-27 13:45:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.